import { getAppInstance as publicGetAppInstance } from './devcenter-app-instance-v1-app-instance-app-instances.public.js';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
import { onAppInstanceInstalled as publicOnAppInstanceInstalled } from './devcenter-app-instance-v1-app-instance-app-instances.public.js';
import { onAppInstanceRemoved as publicOnAppInstanceRemoved } from './devcenter-app-instance-v1-app-instance-app-instances.public.js';
import { onAppInstancePaidPlanAutoRenewalCancelled as publicOnAppInstancePaidPlanAutoRenewalCancelled } from './devcenter-app-instance-v1-app-instance-app-instances.public.js';
import { onAppInstancePaidPlanChanged as publicOnAppInstancePaidPlanChanged } from './devcenter-app-instance-v1-app-instance-app-instances.public.js';
import { onAppInstancePaidPlanPurchased as publicOnAppInstancePaidPlanPurchased } from './devcenter-app-instance-v1-app-instance-app-instances.public.js';
export declare const getAppInstance: MaybeContext<BuildRESTFunction<typeof publicGetAppInstance> & typeof publicGetAppInstance>;
/**
 * Triggered when an instance of your app is installed on a Wix site.
 */
export declare const onAppInstanceInstalled: ReturnType<typeof createEventModule<typeof publicOnAppInstanceInstalled>>;
/**
 * Triggered when an instance of your app is uninstalled from a Wix site.
 */
export declare const onAppInstanceRemoved: ReturnType<typeof createEventModule<typeof publicOnAppInstanceRemoved>>;
/**
 * Triggered when a Wix user cancels a paid plan for your app. The
 * Wix user can continue to use your app until the end of the current billing
 * cycle.
 */
export declare const onAppInstancePaidPlanAutoRenewalCancelled: ReturnType<typeof createEventModule<typeof publicOnAppInstancePaidPlanAutoRenewalCancelled>>;
/**
 * Triggered when a Wix user upgrades or downgrades their plan for your app.
 */
export declare const onAppInstancePaidPlanChanged: ReturnType<typeof createEventModule<typeof publicOnAppInstancePaidPlanChanged>>;
/**
 * Triggered when a Wix user purchases a paid plan for your app.
 */
export declare const onAppInstancePaidPlanPurchased: ReturnType<typeof createEventModule<typeof publicOnAppInstancePaidPlanPurchased>>;
export { PaymentCycle, FreeTrialStatus, ResolutionMethod, WebhookIdentityType, } from './devcenter-app-instance-v1-app-instance-app-instances.universal.js';
export { AppInstance, BillingInfo, FreeTrialInfo, AvailablePlan, AppInstalled, AppRemoved, PaidPlanPurchased, PaidPlanChanged, PaidPlanAutoRenewalCancelled, GetAppInstanceRequest, GetAppInstanceResponse, SiteInfo, Multilingual, SupportedLanguage, Locale, OwnerInfo, GetAppInstanceByInstanceIdRequest, MessageEnvelope, IdentificationData, IdentificationDataIdOneOf, GetAppInstanceResponseNonNullableFields, BaseEventMetadata, AppInstanceInstalledEnvelope, AppInstanceRemovedEnvelope, AppInstancePaidPlanAutoRenewalCancelledEnvelope, AppInstancePaidPlanChangedEnvelope, AppInstancePaidPlanPurchasedEnvelope, } from './devcenter-app-instance-v1-app-instance-app-instances.universal.js';
