"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.ResolutionMethod = exports.PaymentCycle = exports.FreeTrialStatus = exports.onAppInstancePaidPlanPurchased = exports.onAppInstancePaidPlanChanged = exports.onAppInstancePaidPlanAutoRenewalCancelled = exports.onAppInstanceRemoved = exports.onAppInstanceInstalled = exports.getAppInstance = exports.__metadata = void 0;
const rename_all_nested_keys_1 = require("@wix/sdk-runtime/rename-all-nested-keys");
const timestamp_1 = require("@wix/sdk-runtime/transformations/timestamp");
const transform_paths_1 = require("@wix/sdk-runtime/transformations/transform-paths");
const sdk_types_1 = require("@wix/sdk-types");
const devcenter_app_instance_v1_app_instance_app_instances_universal_js_1 = require("./devcenter-app-instance-v1-app-instance-app-instances.universal.js");
exports.__metadata = { PACKAGE_NAME: '@wix/app-management' };
function getAppInstance(httpClient) {
    return () => (0, devcenter_app_instance_v1_app_instance_app_instances_universal_js_1.getAppInstance)(
    // @ts-ignore
    { httpClient });
}
exports.getAppInstance = getAppInstance;
exports.onAppInstanceInstalled = (0, sdk_types_1.EventDefinition)('AppInstalled', false, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)(event))();
exports.onAppInstanceRemoved = (0, sdk_types_1.EventDefinition)('AppRemoved', false, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)(event))();
exports.onAppInstancePaidPlanAutoRenewalCancelled = (0, sdk_types_1.EventDefinition)('PaidPlanAutoRenewalCancelled', false, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [{ path: 'data.operationTimeStamp' }],
    },
])))();
exports.onAppInstancePaidPlanChanged = (0, sdk_types_1.EventDefinition)('PaidPlanChanged', false, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [{ path: 'data.operationTimeStamp' }],
    },
])))();
exports.onAppInstancePaidPlanPurchased = (0, sdk_types_1.EventDefinition)('PaidPlanPurchased', false, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'data.operationTimeStamp' },
            { path: 'data.expiresOn' },
        ],
    },
])))();
var devcenter_app_instance_v1_app_instance_app_instances_universal_js_2 = require("./devcenter-app-instance-v1-app-instance-app-instances.universal.js");
Object.defineProperty(exports, "FreeTrialStatus", { enumerable: true, get: function () { return devcenter_app_instance_v1_app_instance_app_instances_universal_js_2.FreeTrialStatus; } });
Object.defineProperty(exports, "PaymentCycle", { enumerable: true, get: function () { return devcenter_app_instance_v1_app_instance_app_instances_universal_js_2.PaymentCycle; } });
Object.defineProperty(exports, "ResolutionMethod", { enumerable: true, get: function () { return devcenter_app_instance_v1_app_instance_app_instances_universal_js_2.ResolutionMethod; } });
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return devcenter_app_instance_v1_app_instance_app_instances_universal_js_2.WebhookIdentityType; } });
//# sourceMappingURL=devcenter-app-instance-v1-app-instance-app-instances.public.js.map